Ask Your Question
0

Opensource puppet agent - Using with Puppet-PE

asked 2016-01-23 23:09:13 -0600

gcollins gravatar image

Hello all. I am using Puppet 3.8.5 on HPUX trying to connect to a Puppet Master 2015.3.1 and while I'm able to accept the cert it's not being placed into the inventory. The error the agent is receiving is a 403 (no permission) from the puppet master. What do I need to do to fix this issue. I'm using the 10 node trial and I have no support.

The error I see in the log is "denied by rule 'puppetlabs node'". I'm assuming since this is not an official agent I'm missing something on the client side. I did have to change the puppet agent to stop and trying to validate the SSL cert by editing http_pool.rb file in order to even to get this far.

I'm taking baby steps into getting there. Just so everyone knows the only real working copy of ruby (1.9.2) is available from HP. Compiling it creates too many issues in debugging. So I'm not using the latest puppet agent like I had hoped too because it requires ruby 1.9.3 and greater.

If anyone has any tips it would be appreciated.

Thanks

Glen

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2016-01-26 09:56:42 -0600

You typically need to have the versions of the Puppet Master and Agent aligned. In your situation, I would start just by spinning up an open source Puppet master to match whatever the version is you're stuck with on your HPUX. I did once manage to compile a working Ruby on HPUX fyi, although that's bringing back bad memories.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2016-01-23 23:09:13 -0600

Seen: 219 times

Last updated: Jan 26 '16